#include "FilePathConst.h"

#include <QtCore/QCoreApplication>

QString getDrmDataRoot()
{
    QString str(QCoreApplication::applicationDirPath());
    str.prepend("file:///");
#ifdef Q_WS_S60
    str += "/drm/data/";
#else
    str += "/data/production/drm/data/";
#endif
    return str;
}

QString getFreeDataRoot()
{
    QString str(QCoreApplication::applicationDirPath());
    str.prepend("file:///");
#ifdef Q_WS_S60
    str += "/";
#else
    str += "/data/production/";
#endif
    return str;
}

QString getThumbnailDataRoot()
{
    QString str(QCoreApplication::applicationDirPath());
    str.prepend("file:///");
#ifdef Q_WS_S60
    str += "/thumbnails/";
#else
    str += "/data/production/thumbnails/";
#endif
    return str;
}

QString getDefaultImageFile()
{
    return QString("pig1_2colors_8bits.png"
/*#ifdef Q_WS_S60
    "pig1_2colors_8bits.png"
#else
    "resourceid_524981/cartman_2colors_8bits.png"
#endif*/
    );
}
